<!---
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
 
Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.
 
The Original Code is comprised of the PT Calendar directory
 
The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2010-2016.
All Rights Reserved.
 
By downloading, modifying, distributing, using and/or accessing any files
in this directory, you agree to the terms and conditions of the applicable
end user license agreement.
--->

<!---
/* *************************************************************** */
Author: 	
	PaperThin, Inc.
	G. Cronkright
Custom Field Type:
	approval track checkbox
Name:
	custom_checkbox_field_props.cfm
Summary:
	A custom checkbox field that also captures the dataTime stamp and the CS UserID and copies
	those values to other fields in the form. Field IDs can be set in the props for the other 
	text or hidden fields in the same form.
ADF Requirements:
	scripts_1_0
History:
	2009-07-06 - MFC - Created
	2011-05-26 - GAC - Modified - added a class parameter and updated the id attributes on the input field
	2011-07-19 - GAC - Modified - added a parameter to assign the stored value (ie. 1, Yes or True )
	2014-09-25 - GAC - Removed deprecated doLabel and jsLabelUpdater js calls
					 	  - Added the fieldVersion variable
	2015-05-27 - DRM - Removed jQuery from props, not needed
						  - Bumped field version
	2016-02-24 - DRM - Resource detection exit
						  - Remove loading of jQuery from props module, not just the use of it (:-)
						  - Bump field version
--->

<!--- if this module loads resources, do it here.. --->
<!---<cfscript>
	// none
</cfscript>--->

<!--- ... then exit if all we're doing is detecting required resources --->
<cfif Request.RenderState.RenderMode EQ "getResources">
  <cfexit>
</cfif>


<cfscript>
	// Variable for the version of the field - Display in Props UI.
	fieldVersion = "2.0.1";
	
	// initialize some of the attributes variables
	typeid = attributes.typeid;
	prefix = attributes.prefix;
	formname = attributes.formname;
	currentValues = attributes.currentValues;
	
	if( not structKeyExists(currentValues, "renderField") )
		currentValues.renderField = "yes";
	if( not structKeyExists(currentValues, "defaultVal") )
		currentValues.defaultVal = "no";
	if( not structKeyExists(currentValues, "checkedVal") )
		currentValues.checkedVal = "yes";
	if( not structKeyExists(currentValues, "uncheckedVal") )
		currentValues.uncheckedVal = "no";
	if( not structKeyExists(currentValues, "fldName") )
		currentValues.fldName = "";
	if( not structKeyExists(currentValues, "fldClass") )
		currentValues.fldClass = "";
		
	if( not structKeyExists(currentValues, "fldDateTime") )
		currentValues.fldDateTime = "";
	if( not structKeyExists(currentValues, "fldUserID") )
		currentValues.fldUserID = "";
	if( not structKeyExists(currentValues, "fldDenialMsg") )
		currentValues.fldDenialMsg = "";
	if( not structKeyExists(currentValues, "deniedVal") )
		currentValues.deniedVal = "";
	if( not structKeyExists(currentValues, "deniedLabel") )
		currentValues.deniedLabel = "";
	if( not structKeyExists(currentValues, "approvedLabel") )
		currentValues.approvedLabel = "";
</cfscript>

<cfoutput>
<script type="text/javascript">
	fieldProperties['#typeid#'].paramFields = "#prefix#renderField,#prefix#defaultVal,#prefix#fldName,#prefix#fldClass,#prefix#checkedVal,#prefix#uncheckedVal,#prefix#fldDateTime,#prefix#fldUserID,#prefix#fldDenialMsg,#prefix#deniedVal,#prefix#deniedLabel,#prefix#approvedLabel";
	// allows this field to have a common onSubmit Validator
	fieldProperties['#typeid#'].jsValidator = '#prefix#doValidate';

	function #prefix#doValidate()
	{
		var fld = document.getElementById('#prefix#checkedVal');
		if (fld.value === '')
		{
			fld.focus();
			alert('Please enter a valid Checked value for the checkbox');
			return false;
		}
		return true;
	}
</script>
<table>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fldName" id="#prefix#fldName" value="#currentValues.fldName#" size="40">
			<br/><span>Please enter the field name to be used via JavaScript.  If blank, will use default name.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Class Name:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fldClass" id="#prefix#fldClass" class="cs_dlgControl" value="#currentValues.fldClass#" size="40">
			<br/><span>Please enter a class name to be used via JavaScript or CSS.  If blank, a class attribute will not be added.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Field Display Type:</td>
		<td class="cs_dlgLabelSmall">
			<input type="radio" name="#prefix#renderField" id="#prefix#renderField" value="yes" <cfif currentValues.renderField eq 'yes'>checked</cfif>>Visible
			<input type="radio" name="#prefix#renderField" id="#prefix#renderField" value="no" <cfif currentValues.renderField eq 'no'>checked</cfif>>Hidden
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Default Field Value:</td>
		<td class="cs_dlgLabelSmall">
			<input type="radio" name="#prefix#defaultVal" id="#prefix#defaultVal" value="yes" <cfif currentValues.defaultVal eq 'yes'>checked</cfif>>Approved
			<input type="radio" name="#prefix#defaultVal" id="#prefix#defaultVal" value="no" <cfif currentValues.defaultVal eq 'no'>checked</cfif>>Unchecked
			<input type="radio" name="#prefix#defaultVal" id="#prefix#defaultVal" value="denied" <cfif currentValues.defaultVal eq 'denied'>checked</cfif>>Denied
			<br/><span>'Denied' can only be used as a default field value if the <strong>'Denied Value'</strong> is NOT blank.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Approved Value: (Required)</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#checkedVal" id="#prefix#checkedVal" class="cs_dlgControl" value="#currentValues.checkedVal#">
			<br/><span>Indicate the value that is stored when the <strong>'Approved'</strong> checkbox is <strong>Checked</strong>.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Approved Label: (Optional)</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#approvedLabel" id="#prefix#approvedLabel" class="cs_dlgControl" value="#currentValues.approvedLabel#">
			<br/><span>Indicate the Label for the Approved checkbox.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Unchecked Value: (Optional)</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#uncheckedVal" id="#prefix#uncheckedVal" class="cs_dlgControl" value="#currentValues.uncheckedVal#">
			<br/><span>Indicate the value that is stored when the checkbox is <strong>Unchecked</strong>. Default is 'no'. This field can also be blank.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Denied Value: (Optional)</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#deniedVal" id="#prefix#deniedVal" class="cs_dlgControl" value="#currentValues.deniedVal#">
			<br/><span>Indicate the value that is stored when the <strong>'Denied'</strong> checkbox is <strong>Checked</strong>.</span>
			<br/><span>If blank, no check box will display for this option.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Denied Label: (Optional)</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#deniedLabel" id="#prefix#deniedLabel" class="cs_dlgControl" value="#currentValues.deniedLabel#">
			<br/><span>Indicate the Label for the Denial checkbox. Will NOT be used if <strong>'Denied Value'</strong> above is blank.</span>
		</td>
	</tr>
	<tr>
		<td colspan="2" class="cs_dlgLabelSmall"><hr></td>
	</tr>
	<tr>
		<td colspan="2" class="cs_dlgLabelSmall">Approval Tracking Field Bindings:</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Approval User ID Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fldUserID" id="#prefix#fldUserID" value="#currentValues.fldUserID#" size="40">
			<br/><span>Please enter the field ID of the UserID field to pass the current CS User ID to.  If blank, no data will be passed to another field.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Approval DateTime Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fldDateTime" id="#prefix#fldDateTime" value="#currentValues.fldDateTime#" size="40">
			<br/><span>Please enter the field ID of the DateTime field to pass the current CS data/time stamp to.  If blank, no data will be passed to another field.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Denial Message Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fldDenialMsg" id="#prefix#fldDenialMsg" value="#currentValues.fldDenialMsg#" size="40">
			<br/><span>Please enter the field ID of the Text Area Field to show upon denial.  If blank, no data will be passed to another field.</span>
		</td>
	</tr>
	<!--- // TODO: Extra field to track Approved/Denied etc.  
		 //        would need to add a more complex checkbox or radio button system in the render file --->
	<!--- <tr>
		<td class="cs_dlgLabelSmall">Approval Status Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fldStatus" id="#prefix#fldStatus" value="#currentValues.fldStatus#" size="40">
			<br/><span>Please enter the field name to be used via JavaScript.  If blank, will use default name.</span>
		</td>
	</tr> --->
	<tr>
		<td class="cs_dlgLabelSmall" colspan="2" style="font-size:7pt;">
			<hr />
			ADF Custom Field v#fieldVersion#
		</td>
	</tr>
</table>
</cfoutput>