<!---
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
 
Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.
 
The Original Code is comprised of the PT Calendar directory
 
The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2010-2016.
All Rights Reserved.
 
By downloading, modifying, distributing, using and/or accessing any files
in this directory, you agree to the terms and conditions of the applicable
end user license agreement.
--->
<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
	M. Carroll
Name:
	calendar_date_time_builder_props.cfm
Summary:
	Custom field to build the Date/Time records.
	This field generates a collection of Date and Times for the field.
ADF App:
	PT Calendar
Version:
	4.0
History:
	2010-10-16 - MFC - Created
	2011-06-15 - GAC - Modified - removed the prop #prefix#actionPage since the action page is now coming from the config element
	2011-06-15 - GAC - Moved into the ptCalendar app for customization 
	2014-09-25 - GAC - Removed deprecated doLabel and jsLabelUpdater js calls
				 	 	  - Added the fieldVersion variable
	2015-06-04 - DRM - Bumped field version for renderer updates
--->
<cfscript>
	// Variable for the version of the field - Display in Props UI.
	fieldVersion = "2.0.1";
	
	// initialize some of the attributes variables
	typeid = attributes.typeid;
	prefix = attributes.prefix;
	formname = attributes.formname;
	currentValues = attributes.currentValues;
	
	if( not structKeyExists(currentValues, "fieldID") )
		currentValues.fieldID = "";
	if( not structKeyExists(currentValues, "fieldClass") )
		currentValues.fieldClass = "";
	if( not structKeyExists(currentValues, "btnText") )
		currentValues.btnText = "";
	if( not structKeyExists(currentValues, "recurrFieldID") )
		currentValues.recurrFieldID = "";
	if( not structKeyExists(currentValues, "bindRequired") )
		currentValues.bindRequired = "none";
</cfscript>
<cfoutput>
	<script type="text/javascript"]>
		fieldProperties['#typeid#'].paramFields = "#prefix#fieldID,#prefix#fieldClass,#prefix#btnText,#prefix#recurrFieldID,#prefix#bindRequired";
		// allows this field to have a common onSubmit Validator
		//fieldProperties['#typeid#'].jsValidator = '#prefix#doValidate';
	</script>
<table>
	<tr>
		<td class="cs_dlgLabelSmall">Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fieldID" id="#prefix#fieldID" class="cs_dlgControl" value="#currentValues.fieldID#" size="40">
			<br/><span>Please enter the field ID to be used via JavaScript.  If blank, will use default name.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Field Class Name:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fieldClass" id="#prefix#fieldClass" class="cs_dlgControl" value="#currentValues.fieldClass#" size="40">
			<br/><span>Please enter a class name to be used by JavaScript.  If blank, a class attribute will not be added.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Button Text:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#btnText" id="#prefix#btnText" class="cs_dlgControl" value="#currentValues.btnText#" size="40">
			<br/><span>Please enter custom text to display on the button.  If blank, it will use the default.</span>
		</td>
	</tr>
	<tr>
		<td colspan="2"  class="cs_dlgLabelSmall"><hr></td>
	</tr>
	<tr>
		<td colspan="2"  class="cs_dlgLabelSmall">Recurrence Properties Field Binding:</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Recurrence Properties Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#recurrFieldID" id="#prefix#recurrFieldID" value="#currentValues.recurrFieldID#" size="40">
			<br/><span>Please enter the field ID of the Recurrence Properties field to hide if a recurrence exception exists.  If blank, a binding will not exist.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" valign="top">Binding Required Options:</td>
		<td class="cs_dlgLabelSmall">
			<input type="radio" name="#prefix#bindRequired" id="#prefix#bindRequired" value="none" <cfif currentValues.bindRequired eq 'none'>checked</cfif>>None
			<input type="radio" name="#prefix#bindRequired" id="#prefix#bindRequired" value="one" <cfif currentValues.bindRequired eq 'one'>checked</cfif>>One
			<!--- <input type="radio" name="#prefix#bindRequired" id="#prefix#bindRequired" value="both" <cfif currentValues.bindRequired eq 'both'>checked</cfif>>Both  --->
			<br/><span>Select 'None' to use the each fields standard 'required' option. Select 'One' to require one of the bound fields to have a value. <!--- Choose 'Both' for . ---></span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" colspan="2" style="font-size:7pt;">
			<hr />
			ADF Custom Field v#fieldVersion#
		</td>
	</tr>
</table>
</cfoutput>