<!---
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
 
Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.
 
The Original Code is comprised of the PT Calendar directory
 
The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2010-2016.
All Rights Reserved.
 
By downloading, modifying, distributing, using and/or accessing any files
in this directory, you agree to the terms and conditions of the applicable
end user license agreement.
--->
<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
	G. Cronkright
Name:
	calendar_recurrence_builder_props.cfm
Summary:
	Custom field to build the Event recurrence records for the Calendar App.
ADF App:
	PT Calendar
Version:
	4.0
History:
	2011-06-23 - GAC - Created
	2014-09-25 - GAC - Removed deprecated doLabel and jsLabelUpdater js calls
					 	  - Added the fieldVersion variable
	2015-06-05 - DRM - Bumped field version
--->
<cfscript>
	// Variable for the version of the field - Display in Props UI.
	fieldVersion = "2.0";
	
	// initialize some of the attributes variables
	typeid = attributes.typeid;
	prefix = attributes.prefix;
	formname = attributes.formname;
	currentValues = attributes.currentValues;
	
	if( not structKeyExists(currentValues, "fieldID") )
		currentValues.fieldID = "";
	if( not structKeyExists(currentValues, "fieldClass") )
		currentValues.fieldClass = "";
	if( not structKeyExists(currentValues, "btnAddText") )
		currentValues.btnAddText = "";
	if( not structKeyExists(currentValues, "btnEditText") )
		currentValues.btnEditText = "";
</cfscript>
<cfoutput>
	<script type="text/javascript"]>
		fieldProperties['#typeid#'].paramFields = "#prefix#fieldID,#prefix#fieldClass,#prefix#btnAddText,#prefix#btnEditText";
		// allows this field to have a common onSubmit Validator
		//fieldProperties['#typeid#'].jsValidator = '#prefix#doValidate';
	</script>
<table>
	<tr>
		<td class="cs_dlgLabelSmall">Field ID:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fieldID" id="#prefix#fieldID" class="cs_dlgControl" value="#currentValues.fieldID#" size="40">
			<br/><span>Please enter the field ID to be used via JavaScript.  If blank, will use default name.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Field Class Name:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#fieldClass" id="#prefix#fieldClass" class="cs_dlgControl" value="#currentValues.fieldClass#" size="40">
			<br/><span>Please enter a class name to be used by JavaScript.  If blank, a class attribute will not be added.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Add Button Text:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#btnAddText" id="#prefix#btnAddText" class="cs_dlgControl" value="#currentValues.btnAddText#" size="40">
			<br/><span>Please enter custom text to display on the 'Add' button.  If blank, it will use the default.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall">Edit Button Text:</td>
		<td class="cs_dlgLabelSmall">
			<input type="text" name="#prefix#btnEditText" id="#prefix#btnEditText" class="cs_dlgControl" value="#currentValues.btnEditText#" size="40">
			<br/><span>Please enter custom text to display on the 'Edit' button.  If blank, it will use the default.</span>
		</td>
	</tr>
	<tr>
		<td class="cs_dlgLabelSmall" colspan="2" style="font-size:7pt;">
			<hr />
			ADF Custom Field v#fieldVersion#
		</td>
	</tr>
</table>
</cfoutput>